Bug 302422 - Slideshow info is displayed too high [patch]
Summary: Slideshow info is displayed too high [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-SlideShow (show other bugs)
Version: 2.7.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-23 21:53 UTC by Andi Clemens
Modified: 2014-02-24 07:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
the patch (5.73 KB, application/octet-stream)
2012-06-23 21:53 UTC, Andi Clemens
Details
patch for bug 302422 (5.55 KB, patch)
2014-02-23 16:15 UTC, Cruceru Calin-Cristian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andi Clemens 2012-06-23 21:53:10 UTC
If you, for example, only show filenames in the slideshow, the filename seems to appear almost in the middle of the screen.

This is because we have too much space under the filename label, because it is reserved for the slideshow toolbar that may appear here if the mouse cursor is moved to the bottom left.

I would not display the toolbar in every corner of the screen, it only should be visible in the top left and top right corner. Therefore we could move the image info to the bottom of the screen.

Furthermore it would be nice if we implement a toolbar that also displays the thumbnails of all images in the slideshow, as in gwenview, to have more control over the slideshow.

The attached patch only disables the bottom left and bottom right corners for the toolbar and moves the image info to the bottom of the screen (e.g. if only filenames are displayed).

What do you think?

Reproducible: Always

Actual Results:  
 

Expected Results:
Comment 1 Andi Clemens 2012-06-23 21:53:43 UTC
Created attachment 72082 [details]
the patch
Comment 2 caulier.gilles 2013-10-30 15:31:16 UTC
Andi,

Your patch cannot be applied to git/master :

[gilles@localhost core]$ patch -p1 < slideshow_info.diff 
patching file utilities/slideshow/slideshow.cpp
Hunk #1 FAILED at 8.
Hunk #2 succeeded at 406 (offset 8 lines).
Hunk #3 FAILED at 791.
Hunk #4 succeeded at 835 (offset 8 lines).
Hunk #5 succeeded at 850 (offset 8 lines).
Hunk #6 FAILED at 856.
3 out of 6 hunks FAILED -- saving rejects to file utilities/slideshow/slideshow.cpp.rej
patching file utilities/slideshow/slideshow.h
Hunk #1 FAILED at 7.
Hunk #2 FAILED at 95.
2 out of 2 hunks FAILED -- saving rejects to file utilities/slideshow/slideshow.h.rej

Please update it...

Gilles Caulier
Comment 3 Cruceru Calin-Cristian 2014-02-23 16:15:12 UTC
Created attachment 85289 [details]
patch for bug 302422

I did what Andi proposed on a fresh cloned digikam. So I guess it should work.

However, I spoke with Gilles and I know it could be done even better. But it is my first trial to solve something in digikam, so I hope there is no problem I posted this patch.
Comment 4 Cruceru Calin-Cristian 2014-02-24 07:40:29 UTC
Git commit d8cc9d2a6b4a5ec4f37e80e7024f9ab7800326ef by Cruceru Calin-Cristian.
Committed on 24/02/2014 at 06:52.
Pushed by crucerucalincristian into branch 'master'.

GUI: Toolbar in SlideShow only appears now in the top right and left corners and Image Info appears now with 0 offset in left buttom corner

M  +10   -30   utilities/slideshow/slideshow.cpp
M  +2    -3    utilities/slideshow/slideshow.h

http://commits.kde.org/digikam/d8cc9d2a6b4a5ec4f37e80e7024f9ab7800326ef